1. Push Overrides Price & Inventory
Swoovo — OTA Pull Endpoint
  • For OTA Hotels
    • List hotels (paginated)
      GET
  • Push Rooms
    • Push rooms (async)
      POST
  • Push Inventory
    • Push inventory (async)
      POST
  • Push Rates
    • Push rates (async)
      POST
  • Push Overrides Price & Inventory
    • Push inventory overrides (async)
      POST
    • Push pricing overrides (async)
      POST
  • Mapped Properties
    • List mapped properties
      POST
  • Jobs
    • Get room push job status
      GET
    • Get inventory push job status
      GET
    • Get rates push job status
      GET
    • Get override job status
      GET
  • Schemas
    • HotelListResponse
    • ErrorResponse
    • Hotel
    • AsyncJobAcceptedResponse
    • HotelImage
    • PushRoomsRequest
    • RoomData
    • RoomImage
    • BaseInventoryEmbed
    • RoomRateEmbed
    • ChildPricingRules
    • ChildPricingThreshold
    • PushInventoryRequest
    • BaseInventoryItem
    • InventoryOverrideItem
    • PushRatesRequest
    • RoomRateInput
    • PushInventoryOverridesRequest
    • InventoryOverrideRequest
    • PushPricingRulesRequest
    • PricingRuleRequest
    • JobStatusResponse
    • JobStatusData
    • RoomJobStatusResponse
    • RoomJobStatusData
    • InventoryJobStatusResponse
    • InventoryJobStatusData
    • RatesJobStatusResponse
    • RatesJobStatusData
    • MappedPropertiesResponse
    • MappedProperty
  1. Push Overrides Price & Inventory

Push inventory overrides (async)

POST
/api/v1/push/inventory-overrides
Push date-range inventory overrides for multiple rooms in one
request. Each room can have multiple override windows.
days_of_week (optional) restricts the override to specific days:
0=Sunday, 1=Monday, ..., 6=Saturday.
Returns a job_id (string, e.g. "42"). Poll
/api/v1/jobs/status?job_id=<id>.

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢202
application/json
Inventory override queued
Bodyapplication/json

🟠400BadRequest
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/push/inventory-overrides' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "ota_property_id": "3318608195",
    "overrides_by_room": {
        "DLX_KING_001": [
            {
                "start_date": "2026-12-24",
                "end_date": "2026-12-27",
                "days_of_week": [
                    1,
                    2
                ],
                "available_rooms": 5,
                "is_available": true
            },
            {
                "start_date": "2026-12-27",
                "end_date": "2026-12-31",
                "days_of_week": [
                    1,
                    2
                ],
                "available_rooms": 2,
                "is_available": true
            }
        ],
        "STD_QUEEN_002": [
            {
                "start_date": "2026-12-24",
                "end_date": "2026-12-31",
                "days_of_week": [
                    1,
                    2
                ],
                "available_rooms": 0,
                "is_available": false
            }
        ]
    }
}'
Response Response Example
202 - Success
{
    "status": true,
    "message": "Inventory override queued",
    "job_id": "42"
}
Modified at 2026-11-12 09:12:10
Previous
Push rates (async)
Next
Push pricing overrides (async)
Built with